Commit 53c80464 authored by webchick's avatar webchick

Issue #2393713 by droplet, nod_: Update JS lib: jquery.form to 3.5.1

parent 77152e7a
This diff is collapsed.
This diff is collapsed.
...@@ -359,13 +359,13 @@ jquery.farbtastic: ...@@ -359,13 +359,13 @@ jquery.farbtastic:
jquery.form: jquery.form:
remote: https://github.com/malsup/form remote: https://github.com/malsup/form
version: "3.50" version: "3.51"
license: license:
name: GNU-GPL-2.0-or-later name: GNU-GPL-2.0-or-later
url: http://malsup.github.com/gpl-license-v2.txt url: http://malsup.github.com/gpl-license-v2.txt
gpl-compatible: true gpl-compatible: true
js: js:
assets/vendor/jquery-form/jquery.form.js: {} assets/vendor/jquery-form/jquery.form.min.js: { minified: true }
dependencies: dependencies:
- core/jquery - core/jquery
......
...@@ -424,7 +424,7 @@ function testLibraryAlter() { ...@@ -424,7 +424,7 @@ function testLibraryAlter() {
$js = $this->assetResolver->getJsAssets($assets, FALSE)[1]; $js = $this->assetResolver->getJsAssets($assets, FALSE)[1];
$js_render_array = \Drupal::service('asset.js.collection_renderer')->render($js); $js_render_array = \Drupal::service('asset.js.collection_renderer')->render($js);
$rendered_js = $this->renderer->render($js_render_array); $rendered_js = $this->renderer->render($js_render_array);
$this->assertTrue(strpos($rendered_js, 'core/assets/vendor/jquery-form/jquery.form.js'), 'Altered library dependencies are added to the page.'); $this->assertTrue(strpos($rendered_js, 'core/assets/vendor/jquery-form/jquery.form.min.js'), 'Altered library dependencies are added to the page.');
} }
/** /**
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment